<!-- <form [formGroup]="commentForm"> -->
<div class="row">
  <div class="col-sm-7 col-md-7">
    <div>
      <a class="pps-header">ความเห็น / ส่งงาน</a>
    </div>
    <span class="pps-header_th">สามารถเพิ่มเติมรายละเอียดความเห็นเกี่ยวกับใบคำขอได้</span>
  </div>
  <div class="col-sm-5 col-md-5" style="text-align: right;"
    [ngClass]="{'not-allow': checkAllow !== 'ALLOW PERMISSION'}">
    <button type="button" class="btn btn-primary styys" (click)="addComment('save')"
      [disabled]="disabled">บันทึกร่างความเห็น</button>
    <button type="button" class="btn btn-primary styy" (click)="addComment('send')"
      [disabled]="disabled">ส่งงาน</button>
  </div>

</div>


<div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
  <a class="alert-detail">บันทึกความเห็นเรียบร้อย</a>
</div>


<div class="container" [ngClass]="{'not-allow': checkAllow !== 'ALLOW PERMISSION'}">
  <div class="row ">
    <div class="col-sm-12 col-md-12 Rectangle">
      <br />
      <div class="row ">
        <div class="col-sm-12 col-md-12">
          <p> 1.&nbsp;กรุณาเลือกความเห็นเกี่ยวกับใบคำขอ</p>
          <div class="row">
            <div class="col-sm-12 col-md-12">
              <fieldset class="form-group">
                <!-- ------------------------------------------------------------- -->

                <mat-radio-group aria-label="Select an option" aria-labelledby="example-radio-group-label"
                  class="example-radio-group" [(ngModel)]="opinion">
                  <div class="row">
                    <div class="col-md-2">
                      <mat-radio-button class="example-radio-button radio-button" value="เห็นชอบ"
                        [ngClass]="{'checkbox-detail-true': opinion === 'เห็นชอบ','checkbox-detail-false': opinion !== 'เห็นชอบ'}"
                        (click)="selectRadio('เห็นชอบ')">เห็นชอบ</mat-radio-button>
                    </div>
                    <div class="col-md-3">
                      <mat-radio-button class="example-radio-button radio-button" value="เห็นชอบ โดยมีความเห็นเพิ่มเติม"
                        [ngClass]="{'checkbox-detail-true': opinion === 'เห็นชอบ โดยมีความเห็นเพิ่มเติม','checkbox-detail-false': opinion !== 'เห็นชอบ โดยมีความเห็นเพิ่มเติม'}"
                        (click)="selectRadio('เห็นชอบ โดยมีความเห็นเพิ่มเติม')">เห็นชอบ โดยมีความเห็นเพิ่มเติม
                      </mat-radio-button>
                    </div>
                    <div class="col-md-2">
                      <mat-radio-button class="example-radio-button radio-button" value="ส่งกลับไปแก้ไข"
                        [ngClass]="{'checkbox-detail-true': opinion === 'ส่งกลับไปแก้ไข','checkbox-detail-false': opinion !== 'ส่งกลับไปแก้ไข'}"
                        (click)="selectRadio('ส่งกลับไปแก้ไข')">ส่งกลับไปแก้ไข</mat-radio-button>
                    </div>
                    <div class="col-md-2">
                      <mat-radio-button class="example-radio-button radio-button" value="ยกเลิกใบคำขอ"
                        [ngClass]="{'checkbox-detail-true': opinion === 'ยกเลิกใบคำขอ','checkbox-detail-false': opinion !== 'ยกเลิกใบคำขอ'}"
                        (click)="selectRadio('ยกเลิกใบคำขอ')" *ngIf="getRole === 'PO'">ยกเลิกใบคำขอ</mat-radio-button>
                    </div>
                  </div>
                </mat-radio-group>
              </fieldset>
            </div>
          </div>
        </div>

        <div class="col-sm-12 col-md-12">
          <label> 2.&nbsp;กรุณาระบุรายละเอียดความเห็นเกี่ยวกับใบคำขอ</label>
          <!-- <br /><span class="normal-text">รายละเอียดของความเห็น</span> -->
          <br />
          <textarea class="form-control" id="validationTextarea" placeholder="ระบุรายละเอียดเพิ่มเติม"
            style="height: 140px;" [(ngModel)]="comment" (ngModelChange)="detailComment()"
            (ngModelChange)="changeSaveDraft()">
              </textarea>
        </div>
      </div>

    </div>

  </div>
</div>
<!-- </form> -->

<div>
  <br />
  <span class="pps-header_dataSource">รายการความเห็น / ส่งงาน</span>
  <hr />
  <br />
  <div class="row table-responsive" style="margin: 0px;">
    <table mat-table [dataSource]="dataSource" matSort class="border">

      <!-- ID Column -->
      <ng-container matColumnDef="id" sticky>
        <th mat-header-cell *matHeaderCellDef mat-sort-header style="padding-left: 20px; padding-right: 20px;"> ลำดับที่
        </th>
        <td mat-cell *matCellDef="let row; let i = index" style="padding-left: 45px;;"> {{i+1}} </td>
      </ng-container>

      <!-- Progress Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header class="td-th"> ชื่อ - นามสกุล </th>
        <td mat-cell *matCellDef="let row" class="td-th"> {{row.name}}
        </td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="position">
        <th mat-header-cell *matHeaderCellDef mat-sort-header class="td-th"> ตำเเหน่ง </th>
        <td mat-cell *matCellDef="let row" class="td-th"> {{row.empePosition}} </td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="department">
        <th mat-header-cell *matHeaderCellDef mat-sort-header class="td-th"> ฝ่ายงาน </th>
        <td mat-cell *matCellDef="let row" class="td-th"> {{row.dept}} </td>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="groupwrk">
        <th mat-header-cell *matHeaderCellDef mat-sort-header class="td-th"> กลุ่มงาน </th>
        <td mat-cell *matCellDef="let row" class="td-th"> {{row.stcr}} </td>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="division">
        <th mat-header-cell *matHeaderCellDef mat-sort-header class="td-th"> สายงาน </th>
        <td mat-cell *matCellDef="let row" class="td-th"> {{row.grp}} </td>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="comments">
        <th mat-header-cell *matHeaderCellDef mat-sort-header class="td-th"> ความเห็น </th>
        <td mat-cell *matCellDef="let row" class="td-th"> {{row.remark}} </td>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="details">
        <th mat-header-cell *matHeaderCellDef mat-sort-header class="td-th"> รายละเอียดความเห็น </th>
        <td mat-cell *matCellDef="let row" class="td-th">
          {{row.detail}} </td>
      </ng-container>
      <!-- Color Column -->
      <ng-container matColumnDef="datetime">
        <th mat-header-cell *matHeaderCellDef mat-sort-header class="td-th"> วันที่ทำรายการ </th>
        <td mat-cell *matCellDef="let row" class="td-th"> {{covertDate(row.createdAt)}} </td>
      </ng-container>


      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    </table>
  </div>
  <div class="row justify-content-end">
    <mat-paginator [length]="length" [pageSize]="pageSize" [pageSizeOptions]="pageSizeOptions"
      (page)="pageEvent = $event">
    </mat-paginator>
  </div>


</div>
<button id="opendModalSendworkCompliance" type="button" class="btn btn-primary" data-toggle="modal"
  data-target="#sendWorkcompliance" style="display: none;"></button>

<div class="modal fade" id="sendWorkcompliance" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 60px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="40" height="40" />&nbsp;
          <span style="font-size: 22px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            ไม่สามารถส่งงานได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a
          style="color:#303030;font-size:19px;height:40px">&nbsp;&nbsp;&nbsp;เนื่องจากหน่วยงานต่อไปนี้{{message_error}}</a>
        <div class="mt-2">
          <div *ngFor="let data of list_error" style="display:block;color:dimgrey;padding-bottom: 6px;">
            &nbsp;&nbsp;&nbsp;-&nbsp;{{data}}
          </div>
        </div>

      </div>
      <div class="mb-3" style="text-align: center;display: flex;
      justify-content: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 180px;
            height:55px
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>